Fetchply Docs
GET
/api/v1/agents/{id}/conversations

Returns a paginated list of conversations for a chatbot agent.

Authorization

bearerAuth
AuthorizationBearer <token>

API key with fp_ prefix. Generate keys in your Fetchply dashboard under Settings > API Keys.

In: header

Path Parameters

id*string

The chatbot agent ID.

Query Parameters

page?integer

Page number (1-indexed).

Default1
pageSize?integer

Number of items per page.

Default20

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://fetchply.com/api/v1/agents/string/conversations"
{
  "success": true,
  "data": {
    "conversations": [
      {
        "sessionId": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "messageCount": 0,
        "lastMessageAt": "2019-08-24T14:15:22Z"
      }
    ],
    "total": 0,
    "page": 0,
    "pageSize": 0
  }
}
{
  "success": false,
  "error": "Invalid or missing API key"
}
{
  "success": false,
  "error": "Resource not found"
}
{
  "success": false,
  "error": "Rate limit exceeded"
}